#206 Bug in encodeBase64 and decodeBase64

v3.1beta
closed
David Ashley
Classes (182)
5
2012-08-14
2006-11-09
No

Hi there,

thanks to the fix in the trap I was able to rebuild the
Windows version of ooRexx from the latest CVS drop and
ran the test units.

According to the test unit
"oorexxtest\oorexxunit\ooRexx\base\class\ooRexx.Base.Class.String.testUnit"
there are still errors in "encodeBase64" and
"decodeBase64".

Here are the results of running the above test unit:

nr of test runs: 59
nr of successful assertions: 841
nr of failures: 3
[20061109 08:27:40.069000]: [failure] testCase:
[TEST_DECODEBASE64] (an ooRexx.Base.Class.Strin
g.TestUnit@84C6F21F) ---> subTest1 @assertFailure
assertSame: expected=["00"x], received=["0000"x]
[20061109 08:27:40.069000]: [failure] testCase:
[TEST_ENCODEBASE64] (an ooRexx.Base.Class.Strin
g.TestUnit@F4B9F21F) ---> subTest3 @assertFailure
assertSame: expected=[AAEC], received=[AAEB]
[20061109 08:27:40.069000]: [failure] testCase:
[TEST_ENCODEBASE64_DECODEBASE64] (an ooRexx.Bas
e.Class.String.TestUnit@C261F21F) ---> subTest1a
@assertFailure assertSame: expected=["00"x], receiv
ed=["0000"x]
nr of errors: 0

Regards,

---rony

Discussion

  • David Ashley
    David Ashley
    2006-11-09

    Logged In: YES
    user_id=931756

    On Linux I get the following errors from running the unit tests.

    [20061109 08:20:17.214408]: [failure] testCase:
    [TEST_PARSE_INSTRUCTION_EXAMPLES] (an
    ooRexx.Base.PARSE.testUnit@C8EDEE2D) --->
    subTest-do_test_linein-procedure @assertFailure assertSame:
    expected=[17], received=[30]
    [20061109 08:20:17.236359]: [failure] testCase:
    [TEST_RESULT_WITH_EXIT_ADDRESSING_EXTERNALFILE] (an
    ooRexx.Base.RESULT_RC_SIGL.testUnit@06D3ED2D) ---> subTest3
    @assertFailure assertSame: expected=[30], received=[1234]
    [20061109 08:20:17.255306]: [failure] testCase:
    [TEST_DECODEBASE64] (an
    ooRexx.Base.Class.String.TestUnit@0291F02D) ---> subTest1
    @assertFailure assertSame: expected=["00"x], received=["0000"x]
    [20061109 08:20:17.572900]: [failure] testCase:
    [TEST_ENCODEBASE64_DECODEBASE64] (an
    ooRexx.Base.Class.String.TestUnit@FA89F02D) ---> subTest1a
    @assertFailure assertSame: expected=["00"x], received=["0000"x]
    nr of errors: 0

    Note the errors for the Parse and Address instruction and
    the missing EncodeBase64 error compared to Rony's run on
    Windows. Not sure what is going on here, especially with the
    missing error. I will look into it today.

     
  • David Ashley
    David Ashley
    2006-11-11

    Logged In: YES
    user_id=931756

    This has now been verified as fixed on a number of platforms.

     


Anonymous


Cancel   Add attachments